CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   OpenFoam 2.0.1 installation (http://www.cfd-online.com/Forums/openfoam-installation/92916-openfoam-2-0-1-installation.html)

shailesh.nitk September 29, 2011 02:56

OpenFoam 2.0.1 installation
 
1 Attachment(s)
Dear Foamers,

I tried to install the newest OpenFOAM version 2.0.1. on Ubuntu 10.04 LTS.


When running
foamInstallationTest I get the following output:

Quote:
Executing ./foamInstallationTest:


Checking basic setup...
-------------------------------------------------------------------------------
Shell: tcsh
Host: shailesh-desktop
OS: Linux version 2.6.32-33-generic
-------------------------------------------------------------------------------


Checking main OpenFOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR /home/shailesh/OpenFOAM yes yes
$WM_PROJECT_USER_DIR /home/shailesh/OpenFOAM/shailesh-2.0.1 no no
$WM_THIRD_PARTY_DIR /home/shailesh/OpenFOAM/ThirdParty-2.0.1 yes yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR /home/shailesh/OpenFOAM/OpenFOAM-2.0.1 yes yes yes

$FOAM_APPBIN ...AM-2.0.1/platforms/linuxGccDPOpt/bin yes yes yes
$FOAM_SITE_APPBIN ...te/2.0.1/platforms/linuxGccDPOpt/bin no no
$FOAM_USER_APPBIN ...sh-2.0.1/platforms/linuxGccDPOpt/bin no no
$WM_DIR ...ailesh/OpenFOAM/OpenFOAM-2.0.1/wmake yes yes yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$FOAM_LIBBIN ...AM-2.0.1/platforms/linuxGccDPOpt/lib yes yes yes
$FOAM_SITE_LIBBIN ...te/2.0.1/platforms/linuxGccDPOpt/lib no no
$FOAM_USER_LIBBIN ...sh-2.0.1/platforms/linuxGccDPOpt/lib no no
$MPI_ARCH_PATH ...0.1/platforms/linuxGcc/openmpi-1.5.3 yes yes yes
-------------------------------------------------------------------------------


Third party software
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
flex 2.5.35 /usr/bin/flex
gcc 4.4.3 /usr/bin/gcc
gzip 1.3.12 /bin/gzip
tar 1.22 /bin/tar
icoFoam
WARNING: Conflicting installations:
OpenFOAM settings : /home/shailesh/OpenFOAM/OpenFOAM-2.0.1/platforms/linuxGccDPOpt/bin/icoFoam
current path :
CRITICAL ERROR

-------------------------------------------------------------------------------


Summary
-------------------------------------------------------------------------------
Base configuration ok.
The foam installation contains 1 critical error(s).


I am getting compiling error as

+ wmake libso OpenFOAM
SOURCE=global/global.Cver ; sed -e 's!VERSION_STRING!2.0.1!' -e 's!BUILD_STRING!2.0.1!' $SOURCE > Make/linuxGccDPOpt/global.C; g++ -m32 -Dlinux -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-100 -IMake/linuxGccDPOpt -IlnInclude -I. -I/home/shailesh/OpenFOAM/OpenFOAM-2.0.1/src/OpenFOAM/lnInclude -I/home/shailesh/OpenFOAM/OpenFOAM-2.0.1/src/OSspecific/POSIX/lnInclude -fPIC -c Make/linuxGccDPOpt/global.C -o Make/linuxGccDPOpt/global.o
fixedValuePointPatchFields.o: file not recognized: File truncated
collect2: ld returned 1 exit status
make: *** [/home/shailesh/OpenFOAM/OpenFOAM-2.0.1/platforms/linuxGccDPOpt/lib/libOpenFOAM.so] Error 1

Please help me to resolve this error and make.log file has been attached.

Thank you
Shailesh

wyldckat October 1, 2011 15:51

Greetings Shailesh,

Interesting, according to the error it almost seems like that you were running out of disk space...

OK, try this before running Allwmake once again:
Code:

foam
wclean libso src/OpenFOAM

If it still runs into problems, then it's possible that the tarball you downloaded is damaged or that the unpacking procedure failed on a particular file. To check if the tarball is OK, run:
Code:

md5sum  OpenFOAM-2.0.1.gtgz
and compare with the value shown here: http://www.openfoam.com/download/source.php
If it's OK, try unpacking it once again, without removing the current installation - this should fix any damaged files.

Then run Allwmake once again!

Best regards and good luck!
Bruno

shailesh.nitk October 3, 2011 09:00

Thanks you Bruno for your reply.




I was able to solve this issue. The installation issue was due to binutils-dev not installed on my Ubuntu 10.04 LTS.

I am able to compile the OpenFOAM. I have run few tutorial. I want to modify or enhancement some utility to get the meshing information. I would like to know How to include new c++ files or new development into openFOAM. Could you please help me on this?

Best regards,
Shailesh

wyldckat October 3, 2011 10:55

Hi Shailesh,

Here you go: http://openfoamwiki.net/index.php/Ho...ure_to_icoFoam - read and do the steps in this tutorial to learn a bit more about how things work!

Best regards and good luck!
Bruno

shailesh.nitk October 4, 2011 08:50

Thank you again Bruno for this tutorial. This tutorial is really very good. Now I am able to include my own files into OpenFOAM.


All times are GMT -4. The time now is 03:26.